package com.example.bondoyap.ui.settings

import android.content.Context
import androidx.lifecycle.ViewModel
import androidx.lifecycle.ViewModelProvider
import com.example.bondoyap.ui.login.data.LoginDataSource
import com.example.bondoyap.ui.login.data.LoginRepository

class SettingsViewModelFactory(private val context: Context) : ViewModelProvider.Factory {

    @Suppress("UNCHECKED_CAST")
    override fun <T : ViewModel> create(modelClass: Class<T>): T {
        if (modelClass.isAssignableFrom(SettingsViewModel::class.java)) {
            return SettingsViewModel(
                loginRepository = LoginRepository(
                    dataSource = LoginDataSource(context),
                    context = context
                )
            ) as T
        }
        throw IllegalArgumentException("Unknown ViewModel class")
    }
}