package com.example.bondoyap.ui.transactions

import android.content.pm.PackageManager
import android.os.Bundle
import android.util.Log
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.core.app.ActivityCompat
import androidx.fragment.app.Fragment
import androidx.fragment.app.viewModels
import androidx.lifecycle.Observer
import androidx.lifecycle.ViewModelProvider
import androidx.navigation.fragment.findNavController
import androidx.recyclerview.widget.LinearLayoutManager
import androidx.recyclerview.widget.RecyclerView
import com.example.bondoyap.R
import com.example.bondoyap.databinding.FragmentTransactionsBinding
import com.example.bondoyap.service.api.Constants.ACTION_RANDOMIZE_TRANSACTIONS

class TransactionsFragment: Fragment() {
    private var _binding: FragmentTransactionsBinding? = null

    private val binding get() = _binding!!

    private val transactionsViewModel: TransactionsViewModel by viewModels {
        TransactionsViewModelFactory((requireContext().applicationContext as TransactionsApplication).repository)
    }

    private val requestcode: Int = 1

    override fun onCreateView(
        inflater: LayoutInflater,
        container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View {
        _binding = FragmentTransactionsBinding.inflate(inflater, container, false)

        val recyclerView = binding.root.findViewById<RecyclerView>(R.id.recyclerViewTransactions)
        val adapter = TransactionsListAdapter(context = requireContext())
        recyclerView.adapter = adapter
        recyclerView.layoutManager = LinearLayoutManager(requireContext())

        transactionsViewModel.allTransactions.observe(viewLifecycleOwner, Observer { transactions ->
            transactions?.let { adapter.submitList(it) }
        })

        binding.buttonAddTransaction.setOnClickListener {
            findNavController().navigate(R.id.navigation_add_transactions)
        }

        return binding.root
    }


    override fun onDestroyView() {
        super.onDestroyView()
        _binding = null
    }

}