package com.example.bondoyap.ui.transactions.data

import androidx.room.Dao
import androidx.room.Delete
import androidx.room.Query
import androidx.room.Upsert
import kotlinx.coroutines.flow.Flow

@Dao
interface TransactionsDao {

    @Upsert
    suspend fun upsertTransaction(transaksi: Transactions)

    @Delete
    suspend fun deleteTransaction(transaksi: Transactions)

    @Query("SELECT * FROM transactions")
    fun getTransactions(): Flow<List<Transactions>>

    @Query("SELECT * FROM transactions")
    suspend fun getTransactionsList(): List<Transactions>

    @Query("SELECT * FROM transactions WHERE transactions.id == :transactionsId")
    suspend fun getTransactionById(transactionsId: Int?): Transactions
}