package com.example.bondoyap.ui.transactions.data

import androidx.annotation.WorkerThread
import kotlinx.coroutines.flow.Flow

class TransactionsRepository(private val transactionsDao: TransactionsDao) {
    val allTransactions: Flow<List<Transactions>> = transactionsDao.getTransactions()

    @WorkerThread
    suspend fun upsert(transactions: Transactions) {
        transactionsDao.upsertTransaction(transactions)
    }

    @WorkerThread
    suspend fun delete(transactions: Transactions) {
        transactionsDao.deleteTransaction(transactions)
    }

    suspend fun get(transactionId: Int?): Transactions {
        return transactionsDao.getTransactionById(transactionId)
    }

    suspend fun getAllTransactionsList(): List<Transactions> {
        return transactionsDao.getTransactionsList()
    }
}